package org.project.item.weapons;

import org.project.entity.Entity;

// TODO: UPDATE IMPLEMENTATION
public class Weapon {
    private int LightDamage;
    private int HeavyDamage;
    private int manaCost;

    /*
    TODO: ADD OTHER REQUIRED AND BONUS ATTRIBUTES
    */

    public Weapon(int LightDamage,int HeavyDamage, int manaCost) {
        this.LightDamage = LightDamage;
        this.HeavyDamage=HeavyDamage;
        this.manaCost = manaCost;
    }


    public int getLightDamage() {
        return LightDamage;
    }

    public int getHeavyDamage()
    {
        return HeavyDamage;
    }

    public int getManaCost() {
        return manaCost;
    }

    /*
    TODO: ADD OTHER REQUIRED AND BONUS METHODS
    */
}
